Skip to main content
`Ctrl`+`K`

# PetscStackSAWsTakeAccess

Takes access of the PETSc stack frames from the SAWs publisher

## Synopsis

    #include "petscsys.h"
    void PetscStackSAWsTakeAccess(void)

Collective on `PETSC_COMM_WORLD`?

## Developer Notes

Cannot use `PetscFunctionBegin`/`PetscFunctionReturn()` or `PetscCallSAWs()` since it may be used within those routines

## See Also

`PetscObjectSetName()`, `PetscObjectSAWsViewOff()`, `PetscObjectSAWsGrantAccess()`

## Level

developer

## Location

src/sys/error/pstack.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages